#if !defined(AFX_WAITDLG_H__6C2C7FA7_9F98_4F34_BD95_FDB7894B799D__INCLUDED_)
#define AFX_WAITDLG_H__6C2C7FA7_9F98_4F34_BD95_FDB7894B799D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// WaitDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CWaitDlg dialog
#include "resource.h"
class CWaitDlgThread;

class CWaitDlg : public CDialog
{
// Construction
public:
	CWaitDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CWaitDlg(); 

// Dialog Data
	//{{AFX_DATA(CWaitDlg)
	enum { IDD = IDD_WAIT };
	CStatic	m_img;
	CString	m_txt;
	//}}AFX_DATA

	CString m_sTitle;
	BOOL m_bShowDlg;

	HICON m_last_icon;
	int m_idx;
	CWaitDlgThread	*m_Thread;

	bool setPos;
	HWND windowPos;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWaitDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void SetTextAreaRect();

	// Generated message map functions
	//{{AFX_MSG(CWaitDlg)
	afx_msg void OnTimer(UINT nIDEvent);
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WAITDLG_H__6C2C7FA7_9F98_4F34_BD95_FDB7894B799D__INCLUDED_)
